Loading...
Searching...
No Matches
XrdCmsCacheJob Class Reference
Inheritance diagram for XrdCmsCacheJob:
Collaboration diagram for XrdCmsCacheJob:

## Public Member Functions

| XrdCmsCacheJob (XrdCmsKeyItem *List)
| ~XrdCmsCacheJob ()
void | DoIt ()

## Detailed Description

Definition at line 60 of file XrdCmsCache.cc.

## Constructor & Destructor Documentation

## XrdCmsCacheJob()

XrdCmsCacheJob::XrdCmsCacheJob | ( | XrdCmsKeyItem * | List | ) |

inline

Definition at line 66 of file XrdCmsCache.cc.

: XrdJob("cache scrubber"), myList(List) {}
XrdJob::XrdJob
XrdJob(const char *desc="")
Definition XrdJob.hh:51

References XrdJob::XrdJob().

Here is the call graph for this function:

## ~XrdCmsCacheJob()

XrdCmsCacheJob::~XrdCmsCacheJob | ( |  | ) |

inline

Definition at line 68 of file XrdCmsCache.cc.

{}

## Member Function Documentation

## DoIt()

void XrdCmsCacheJob::DoIt | ( |  | ) |

inline virtual

Implements XrdJob.

Definition at line 64 of file XrdCmsCache.cc.

{Cache.Recycle(myList); delete this;}
XrdCms::Cache
XrdCmsCache Cache
Definition XrdPfcFile.hh:204

References XrdCms::Cache.

The documentation for this class was generated from the following file:

- XrdCmsCache.cc